ナレッジパイプライン
データソースノードを実行
ナレッジパイプライン内の単一のデータソースノードを実行します。ノードの実行結果を含むストリーミングレスポンスを返します。
POST
/
datasets
/
{dataset_id}
/
pipeline
/
datasource
/
nodes
/
{node_id}
/
run
データソースノードを実行
curl --request POST \
--url https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": {},
"is_published": true,
"credential_id": "<string>"
}
'import requests
url = "https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run"
payload = {
"inputs": {},
"is_published": True,
"credential_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}, is_published: true, credential_id: '<string>'})
};
fetch('https://{api_base_url}/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"status": 400,
"code": "invalid_param",
"message": "Pipeline not found"
}{
"status": 403,
"code": "forbidden",
"message": "Dataset api access is not enabled."
}{
"status": 404,
"code": "not_found",
"message": "Dataset not found."
}Authorizations
API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}。API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。
Path Parameters
ナレッジベース ID です。
実行するデータソースノードの ID です。
Body
application/json
データソースノードの入力変数です。
データソースの種類です。
Available options:
online_document, local_file, website_crawl, online_drive ノードの公開バージョンとドラフトバージョンのどちらを実行するかを指定します。true は公開バージョン、false はドラフトを実行します。
データソースとの認証に使用する認証情報の ID です。
Response
ノード実行イベントを含むストリーミングレスポンスです。
ノード実行の進捗と結果を含む Server-Sent Events ストリームです。
Last modified on July 9, 2026
Was this page helpful?
⌘I
データソースノードを実行
